Get all sub accounts Run in API Explorer
Ask AI
Query parameters
-
Comma separated list of relationships to include in the response. Valid relationships are [latest_valuation].
-
Filter by a comma separated list of UUIDs.
-
Field to sort by. Valid fields are [created_at, name]. Negative sign to denote DESC. Defaults to 'name'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/plans/{plan_uuid}/sub-accounts
curl \
--request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "87ead79c-7398-48e8-b061-fc47fe28cff7",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "dd1e43ed-f46b-439d-81ae-e0110db271d4",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"valued_at": "2026-11-17T20:47:11+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "22240729-80e2-4866-b2d2-8be847c09927",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "91661e1e-3e3b-4ceb-aebf-bfd05c163d81",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"is_proposed": true,
"proposed_at": "2026-11-17T00:00:00+00:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
}
]
}